<template lang="html">
  <div class="">
    <section class="hero is-black">
      <div class="hero-body">
        <div class="container has-text-centered">
          <h2 class="title"><slot></slot></h2>
        </div>
      </div>
    </section>

    <confirmation-dialog v-if="showDialog" @close="closeDialog()" @action="deleteData()">
      Proceed Data Deletion?
    </confirmation-dialog>
  </div>
</template>

<script>
import ConfirmationDialog from '@/components/base/ConfirmationDialog'
export default {
  components: {ConfirmationDialog},
  computed: {
    showDialog: {
      get: function () {
        return this.$store.state.dialogState
      },
      set: function (value) {
        this.$store.commit('setDialogState', {dialogState: value})
      }
    }
  },
  methods: {
    closeDialog() {
      this.showDialog = false
    },
    deleteData() {
      this.$store.dispatch('deleteData', {})
        .then(()=> {
          this.showDialog = false
        })
    },
  },
}
</script>

<style lang="scss">
</style>
